package com.xunmei.system.service;

import java.util.List;

import com.xunmei.system.api.domain.SysArea;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.web.page.TableDataInfo;

/**
 * 【区域管理】Service接口
 *
 * @author xunmei
 * @date 2023-08-14
 */
public interface ISysAreaService extends IService<SysArea> {
    /**
     * 查询【区域管理】
     *
     * @param id 【区域管理】主键
     * @return 【区域管理】
     */
    SysArea selectSysAreaById(Long id);

    /**
     * 查询【区域管理】列表
     *
     * @param sysArea 【区域管理】
     * @return 【区域管理】集合
     */
    List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增【区域管理】
     *
     * @param sysArea 【区域管理】
     * @return 结果
     */
    int insertSysArea(SysArea sysArea);

    /**
     * 修改【区域管理】
     *
     * @param sysArea 【区域管理】
     * @return 结果
     */
    int updateSysArea(SysArea sysArea);

    /**
     * 批量删除【区域管理】
     *
     * @param ids 需要删除的【区域管理】主键集合
     * @return 结果
     */
    int deleteSysAreaByIds(Long[] ids);

    /**
     * 删除【区域管理】信息
     *
     * @param id 【区域管理】主键
     * @return 结果
     */
    int deleteSysAreaById(Long id);

    /**
     * 查询【区域管理】分页数据
     *
     * @param sysArea 查询条件对象
     * @return Page
     */
    TableDataInfo<SysArea> selectPage(SysArea sysArea);
}
